Avro C++

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
avro::Schema Class Reference

The root Schema object is a base class. Nobody constructs this class directly. More...

`#include <Schema.hh>`

Inheritance diagram for avro::Schema:

## Public Member Functions
Type | type () const
const NodePtr & | root () const
NodePtr & | root ()

## Protected Member Functions
| Schema (NodePtr node)
| Schema (Node *node)

## Protected Attributes
NodePtr | node_

## Detailed Description

The root Schema object is a base class. Nobody constructs this class directly.

The documentation for this class was generated from the following file:

- api/Schema.hh